> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beeze.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List AI overview sources



## OpenAPI

````yaml /api/openapi.yaml get /ai-search/sources
openapi: 3.1.0
info:
  title: Beeze API
  version: v1
  description: >
    External Beeze API for pricing intelligence, domain research, AI Search, and
    integrations.
servers:
  - url: https://api.beeze.io/v1
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: AI Search
    description: Results, visibility, sources, competitors, prompts, and tags
  - name: Domain research
    description: Pricing intelligence, backlinks, prospects, overview stats, and trends
  - name: Integrations
    description: Usage for connected third-party integrations
paths:
  /ai-search/sources:
    get:
      tags:
        - AI Search
      summary: List AI overview sources
      operationId: listAiSearchSources
      parameters:
        - $ref: '#/components/parameters/Project'
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - domain
              - url
            default: domain
        - $ref: '#/components/parameters/Limit100'
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: sortBy
          in: query
          required: false
          schema:
            type: string
            enum:
              - rank
              - source
              - type
              - usedPercent
              - avgCitations
              - usedTotal
              - updatedAt
            default: rank
        - name: sortDirection
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
        - $ref: '#/components/parameters/FromDate'
        - $ref: '#/components/parameters/ToDate'
        - $ref: '#/components/parameters/Provider'
        - name: locale
          in: query
          required: false
          schema:
            type: string
        - name: domain
          in: query
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/Search'
        - $ref: '#/components/parameters/PromptId'
      responses:
        '200':
          description: Source list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Source'
                  pagination:
                    $ref: '#/components/schemas/CursorPagination'
                required:
                  - data
                  - pagination
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  parameters:
    Project:
      name: project
      in: query
      required: true
      schema:
        type: string
        minLength: 1
      description: >-
        Project identifier. Accepts project ID, slug, or name within the active
        workspace. If the project name is ambiguous in that workspace, use the
        project slug or project ID. Public project-scoped routes also require
        globally unique project names across workspaces.
    Limit100:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
    FromDate:
      name: from
      in: query
      required: false
      schema:
        type: string
        format: date
      description: Start date in YYYY-MM-DD format
    ToDate:
      name: to
      in: query
      required: false
      schema:
        type: string
        format: date
      description: End date in YYYY-MM-DD format
    Provider:
      name: provider
      in: query
      required: false
      schema:
        type: string
    Search:
      name: search
      in: query
      required: false
      schema:
        type: string
    PromptId:
      name: promptId
      in: query
      required: false
      schema:
        type: string
        format: uuid
  schemas:
    Source:
      type: object
      properties:
        rank:
          type: integer
        source:
          type: string
        type:
          type: string
        usedPercent:
          type: number
        avgCitations:
          type: number
        usedTotal:
          type: integer
        usageCount:
          type: integer
        pageTitle:
          type:
            - string
            - 'null'
        pageDescription:
          type:
            - string
            - 'null'
        updatedAt:
          type:
            - string
            - 'null'
        mentionedBrands:
          type: array
          items:
            $ref: '#/components/schemas/MentionedBrand'
      required:
        - rank
        - source
        - type
        - usedPercent
        - avgCitations
    CursorPagination:
      type: object
      properties:
        count:
          type: integer
        limit:
          type: integer
        hasMore:
          type: boolean
      required:
        - count
        - limit
        - hasMore
    MentionedBrand:
      type: object
      properties:
        name:
          type: string
        domain:
          type:
            - string
            - 'null'
      required:
        - name
        - domain
    Problem:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        requestId:
          type: string
        instance:
          type: string
      required:
        - status
        - detail
        - code
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: Missing plan access, feature access, or workspace access
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for external Beeze API access

````